<!DOCTYPE html>
<html lang="en" class="no-js">
<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#ff89c9">
	<title>Terms of Service and Privacy Policy - Icarus Imeji Uploader</title>
	<link rel="shortcut icon" href="../favicon.ico">
	<link rel="icon" type="image/png" href="../favicon-32x32.png" sizes="32x32" />
	<link rel="icon" type="image/png" href="../favicon-16x16.png" sizes="16x16" />
	<link rel="apple-touch-icon-precomposed" sizes="57x57" href="../apple-touch-icon-57x57.png" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="../apple-touch-icon-114x114.png" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="../apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="../apple-touch-icon-144x144.png" />
	<link rel="apple-touch-icon-precomposed" sizes="120x120" href="../apple-touch-icon-120x120.png" />
	<link rel="apple-touch-icon-precomposed" sizes="152x152" href="../apple-touch-icon-152x152.png" />
	<meta name="application-name" content="I.C.A.R.U.S."/>
	<meta name="msapplication-TileColor" content="#FFFFFF" />
	<meta name="msapplication-TileImage" content="../mstile-144x144.png" />
	
	<link rel="stylesheet" type="text/css" href="styler/normalize.css" />
	<link rel="stylesheet" type="text/css" href="styler/demo.css" />
	<link rel="stylesheet" type="text/css" href="styler/component.css" />
	<link rel="stylesheet" type="text/css" href="styler/additional.css" />
	<!--[if IE]>
	<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	
	<!-- remove this if you use Modernizr -->
	<script>(function(e,t,n){var r=e.querySelectorAll("html")[0];r.className=r.className.replace(/(^|\s)no-js(\s|$)/,"$1js$2")})(document,window,0);</script>
</head>
<body>
	<div class="container">
		<header class="codrops-header">
			<h1>I.C.A.R.U.S. Imeji Uploader</h1>
			<br />
			
			<a id="termsofservice"></a>
			<h2>TERMS OF SERVICE</h2>
			<h3>TL;DR VERSION</h3>
			<p>You can upload images anonymously and share them online with only the people you choose to share them with. 
			<br />If you make them publicly available, they may be featured somewhere else. 
			<br />This means that if you upload an image to share with your friend, only your friend will be able to access it online. 
			<br />However, if you share an image with Facebook, Twitter, Reddit, etc., then it may end up in someone's gallery.</p>

			<h3>FULL VERSION</h3>
			<p>By uploading a file or other content, you represent and warrant to us that 
			<br />(1) doing so does not violate or infringe anyone else's rights; 
			<br />and (2) you created the file or other content you are uploading, 
			<br />or otherwise have sufficient intellectual property rights to upload the material consistent with these terms. 
			<br />With regard to any file or content you upload to the public portions of our site, 
			<br />you grant Imeji a non-exclusive, royalty-free, perpetual, irrevocable worldwide license (with sublicense and assignment rights) to use, 
			<br />to display online and in any present or future media, to create derivative works of, to allow downloads of, and/or distribute any such file or content. 
			<br />To the extent that you delete any such file or content from the public portions of our site, 
			<br />the license you grant to Imeji pursuant to the preceding sentence will automatically terminate, 
			<br />but will not be revoked with respect to any file or content Imeji has already copied and sublicensed or designated for sublicense. 
			<br />Also, of course, anything you post to a public portion of our site may be used by the public pursuant to the following paragraph even after you delete it.</p>

			<h3>USE OF IMEJI CONTENT</h3>
			<p>By downloading an image or copying other user-generated content (UGC) from Imeji, 
			<br />you agree that you do not claim any rights to it. 
			<br />The following conditions apply:</p>
			<li>You may use UGC for personal, non-commercial purposes.</li>
			<li>You may use UGC for anything that qualifies as fair use under copyright law, 
			<br />for example journalism (news, comment, criticism, etc.), 
			<br />but please include an attribute ("Imeji" or "courtesy of Imeji") next to where it is displayed.</li>
			<li>You may not use UGC for non-journalistic commercial purposes.</li>
			<li>Your use of UGC is at your own risk. 
			<br />Imeji MAKES NO WARRANTIES OF NON-INFRINGEMENT, 
			<br />and you will indemnify and hold Imeji harmless from any copyright infringement claims arising out of your use of the UGC.</li>
			<li>You may not copy or use any portions of our site that are not UGC except within the limits of fair use.</li>

			<a id="privacy"></a>
			<h2>PRIVACY POLICY</h2>
			<h3>INFORMATION WE COLLECT; HOW WE USE IT</h3>
			<p>Automatically collected technical information: 
			<br />Our servers log information about each computer connecting with our site such as IP address, 
			<br />dates and times of each upload, device characteristics, operating system, browser type, 
			<br />type of connection, page and image viewing statistics, and incoming and outgoing links. 
			<br />We also log the metadata associated with any images you upload. 
			<br />None of this automatically collected technical information is associated with any identified person at the time it is collected, 
			<br />but it could be associated with you under these circumstances: 
			<br />If we are required to disclose our server logs as a result of a subpoena or other legal process, 
			<br />some third party such as your internet provider could match our anonymous technical information with you, 
			<br />using information beyond what is found on our servers.</p>

			<h3>PERSONAL DATA PROTECTION</h3>
			<p>Because Imeji neither requires nor requests personally-identifiable information about you, 
			<br />Imeji does not disclose to any third party any personally identifiable information about you.</p>

			<p>Every image uploaded to Imeji - whether uploaded directly through your web browser, or uploaded via a 3rd party tool - has its own URL, 
			<br />and no matter what, every image can always be accessed and viewed by anyone who types in that exact URL. 
			<br />No image uploaded to Imeji is ever completely hidden from public view. 
			<br />This is mainly to ensure that Imeji, which allows anonymous postings, will not be used as a platform for illegality.</p>

			<br />
			<p>We may revise our terms of service and privacy policy from time to time by posting the changes here.</p>
		
		</header>
	</div><!-- /container -->

	<!-- <script src="styler/custom-file-input.js"></script> -->

	<!-- // If you'd like to use jQuery, check out styler/jquery.custom-file-input.js
	<script src="styler/jquery-v1.min.js"></script>
	<script src="styler/jquery.custom-file-input.js"></script>
	-->

	<div class="content">
		<hr />
		<footer class="content footer">
			Copyright &copy; 2016 Locaria Technologies.
		</footer>
	</div>

</body>
</html>